<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/col_6f7"
    android:orientation="vertical">

    <include
        android:id="@+id/title"
        layout="@layout/title_white_bar" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:layout_margin="@dimen/dp_14"
            android:background="@drawable/shape_round_white">

            <LinearLayout
                android:id="@+id/llEatType"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_21"
                android:layout_marginEnd="@dimen/dp_16"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="*"
                    android:textColor="@color/col_2621"
                    android:textSize="@dimen/sp_13"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_2"
                    android:text="用餐类型"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_15"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:id="@+id/tvEatType"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_40"
                    android:background="@color/white"
                    android:drawableEnd="@mipmap/ic_arrow_right"
                    android:drawablePadding="@dimen/dp_7"
                    android:gravity="end"
                    android:hint="请选择用餐类型"
                    android:textColor="@color/col_313"
                    android:textColorHint="@color/col_7c7"
                    android:textSize="@dimen/sp_15"
                    tools:ignore="UseCompatTextViewDrawableXml" />

            </LinearLayout>

            <View
                android:id="@+id/line1"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_1"
                android:layout_marginStart="@dimen/dp_15"
                android:layout_marginTop="@dimen/dp_17"
                android:layout_marginEnd="@dimen/dp_15"
                android:background="@color/col_0F2" />

            <LinearLayout
                android:id="@+id/llEatTime"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_17"
                android:layout_marginEnd="@dimen/dp_16"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="*"
                    android:textColor="@color/col_2621"
                    android:textSize="@dimen/sp_13"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_2"
                    android:text="用餐时间"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_15"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:id="@+id/tvEatTime"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_40"
                    android:background="@color/white"
                    android:drawableEnd="@mipmap/ic_arrow_right"
                    android:drawablePadding="@dimen/dp_7"
                    android:gravity="end"
                    android:hint="请选择用餐时间"
                    android:textColor="@color/col_313"
                    android:textColorHint="@color/col_7c7"
                    android:textSize="@dimen/sp_15"
                    tools:ignore="UseCompatTextViewDrawableXml" />

            </LinearLayout>

            <View
                android:id="@+id/line2"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_1"
                android:layout_marginStart="@dimen/dp_15"
                android:layout_marginTop="@dimen/dp_17"
                android:layout_marginEnd="@dimen/dp_15"
                android:background="@color/col_0F2" />

            <TextView
                android:id="@+id/tvEatExplainTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_19"
                android:layout_marginTop="@dimen/dp_17"
                android:text="用餐说明"
                android:textColor="@color/col_313"
                android:textSize="@dimen/sp_15" />

            <EditText
                android:id="@+id/etEatExplain"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_82"
                android:layout_marginStart="@dimen/dp_19"
                android:layout_marginTop="@dimen/dp_17"
                android:layout_marginEnd="@dimen/dp_16"
                android:background="@drawable/shape_round_gray"
                android:gravity="top"
                android:hint="请输入食物名称，例如玉米、鸡蛋等"
                android:maxLength="50"
                android:padding="@dimen/dp_12"
                android:textColor="@color/col_313"
                android:textColorHint="@color/col_7c7"
                android:textSize="@dimen/sp_13"
                tools:ignore="HardcodedText" />

            <View
                android:id="@+id/line3"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_1"
                android:layout_marginStart="@dimen/dp_15"
                android:layout_marginTop="@dimen/dp_18"
                android:layout_marginEnd="@dimen/dp_15"
                android:background="@color/col_0F2" />

            <TextView
                android:id="@+id/tvAddPhotographTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_19"
                android:layout_marginTop="@dimen/dp_17"
                android:text="用餐图片"
                android:textColor="@color/col_313"
                android:textSize="@dimen/sp_15" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rvRecyclerview"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_19"
                android:layout_marginEnd="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_18"
                android:layout_marginBottom="@dimen/dp_19" />

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

    <TextView
        android:id="@+id/mSubmit"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_50"
        android:layout_margin="@dimen/dp_25"
        android:background="@drawable/shape_btn_select_rad25_bg"
        android:gravity="center"
        android:text="提交"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_16"
        android:textStyle="bold"
        tools:ignore="HardcodedText" />

</LinearLayout>